Subject: bug#10124: 24.0.91; Choosing a remote file, when the current directory is remote too

From: Dani Moncayo <[email-masked]>
Date: Mon, 28 Nov 2011 16:25:14 +0100

>> It seems so.  The given recipe is from recent builds of emacs-trunk on
>> MS-Windows, i.e., fact that my Emacs is using ange-ftp under the hood
>> is something I've not decided.
>
> What happens, if you specify an explicit method, like "plink" or "pscp"?
> This requires PuTTY on your machine, 'tho.

* I've downloaded "plink.exe", "pscp.exe" and "putty.exe".
* I've moved them to a directory included in my PATH environment variable.

But when I try to eval (cd "/plink:usr@host:~/") or (cd
"/pscp:usr@host:~/"), Emacs hangs after I supply the password.

Maybe the server doesn't support those protocols.  Dunno.  In any
case, I'm able to open files in that server, if I let Emacs choose the
method, i.e., doing exactly what the OP says.

-- 
Dani Moncayo